import { IsNotEmpty } from "class-validator";

export class CreateBlogPostDto {
    @IsNotEmpty()
    image: string;

    @IsNotEmpty()
    name: string;

    @IsNotEmpty()
    author: string;

    @IsNotEmpty()
    publishDate: Date;

    @IsNotEmpty()
    description: string;

    @IsNotEmpty()
    urlSlug: string;
}
